## ros-noetic-ecl-math 0.62.3

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_math)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS ecl_type_traits)
catkin_package(
        INCLUDE_DIRS include
	CATKIN_DEPENDS ecl_type_traits
        )
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Actual project configuration
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

=== include/ecl/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(math)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl)

=== src/test/CMakeLists.txt ===
###############################################################################
# Macros
###############################################################################

macro(ecl_math_add_gtest test_name)
  catkin_add_gtest(ecl_test_${test_name} ${test_name}.cpp)
  if(TARGET ecl_test_${test_name})
    target_link_libraries(ecl_test_${test_name} ${catkin_LIBRARIES})
  endif()
endmacro()

###############################################################################
# Google Tests
###############################################################################

ecl_math_add_gtest(constants)
ecl_math_add_gtest(fuzzy)
ecl_math_add_gtest(norms)
ecl_math_add_gtest(simple)

=== include/ecl/math/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/math)

=== debian/changelog ===
ros-noetic-ecl-math (0.62.3-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jul 2020 00:23:48 -0000

ros-noetic-ecl-math (0.61.12-1focal) focal; urgency=high

  * negative sign function

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 May 2016 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-ecl-math
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-ecl-license, ros-noetic-ecl-type-traits
Homepage: http://wiki.ros.org/ecl_math
Standards-Version: 3.9.2

Package: ros-noetic-ecl-math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ecl-license, ros-noetic-ecl-type-traits
Description: This package provides simple support to cmath, filling in holes or redefining in a c++ formulation where desirable.
